From b7e8c5e3ea92cec8f01b8a2b645bd4c86a7c12a1 Mon Sep 17 00:00:00 2001
From: Young Jin Park <youngjinpark20@gmail.com>
Date: Wed, 5 Jun 2019 10:42:57 +0900
Subject: [PATCH 1/2] python3-aiorpcx: update to 0.17.0.

---
 srcpkgs/python3-aiorpcx/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/python3-aiorpcx/template b/srcpkgs/python3-aiorpcx/template
index f5ef9073716..42b6dc541bf 100644
--- a/srcpkgs/python3-aiorpcx/template
+++ b/srcpkgs/python3-aiorpcx/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-aiorpcx'
 pkgname=python3-aiorpcx
-version=0.11.0
+version=0.17.0
 revision=1
 archs=noarch
 wrksrc="aiorpcX-${version}"
@@ -15,7 +15,7 @@ license="MIT"
 homepage="https://github.com/kyuupichan/aiorpcX"
 # missing license in PyPI tarball
 distfiles="https://github.com/kyuupichan/aiorpcX/archive/${version}.tar.gz"
-checksum=87d1a297b9cfbb57a1c3ac4d06da5d3d114d1e751b2a9e81e9c82b04420dda5c
+checksum=b743629e8e3b3783d0a2fe3a25e55f30a35d7f148d863c8b6f0c50db6350c379
 
 do_check() {
 	python3 -m pytest

From b830f0e234ee02d90f37c99bc39b98299fff5e78 Mon Sep 17 00:00:00 2001
From: Dominic Monroe <dmc@juxt.pro>
Date: Sat, 22 Jun 2019 12:45:06 +0100
Subject: [PATCH 2/2] electrum: update to 3.3.6.

---
 srcpkgs/electrum/patches/no-certifi.patch | 45 +++++++++++------------
 srcpkgs/electrum/template                 |  6 +--
 2 files changed, 25 insertions(+), 26 deletions(-)

diff --git a/srcpkgs/electrum/patches/no-certifi.patch b/srcpkgs/electrum/patches/no-certifi.patch
index d37afcf2780..7a8650cf90d 100644
--- a/srcpkgs/electrum/patches/no-certifi.patch
+++ b/srcpkgs/electrum/patches/no-certifi.patch
@@ -2,37 +2,37 @@ Upstream: No
 Reason: Avoid certifi dependency
 
 diff --git contrib/requirements/requirements.txt contrib/requirements/requirements.txt
-index 7249a40d..7dde766c 100644
+index 4ca24227..ac60e57c 100644
 --- contrib/requirements/requirements.txt
 +++ contrib/requirements/requirements.txt
-@@ -8,4 +8,3 @@ qdarkstyle<2.6
- aiorpcx>=0.9,<0.11
- aiohttp
+@@ -8,4 +8,3 @@ qdarkstyle<3.0
+ aiorpcx>=0.17,<0.18
+ aiohttp>=3.3.0
  aiohttp_socks
 -certifi
 diff --git electrum/interface.py electrum/interface.py
-index 53ce4fde..1d8ef999 100644
+index 8a019afb..7a5a7e76 100644
 --- electrum/interface.py
 +++ electrum/interface.py
-@@ -33,7 +33,6 @@ from collections import defaultdict
- 
- import aiorpcx
- from aiorpcx import RPCSession, Notification
+@@ -38,7 +38,6 @@ import aiorpcx
+ from aiorpcx import RPCSession, Notification, NetAddress
+ from aiorpcx.curio import timeout_after, TaskTimeout
+ from aiorpcx.jsonrpc import JSONRPC
 -import certifi
  
- from .util import PrintError, ignore_exceptions, log_exceptions, bfh, SilentTaskGroup
+ from .util import ignore_exceptions, log_exceptions, bfh, SilentTaskGroup
  from . import util
-@@ -49,7 +48,7 @@ if TYPE_CHECKING:
+@@ -55,7 +54,7 @@ if TYPE_CHECKING:
      from .network import Network
  
  
 -ca_path = certifi.where()
 +ca_path = '/etc/ssl/certs/ca-certificates.crt'
  
+ BUCKET_NAME_OF_ONION_SERVERS = 'onion'
  
- class NetworkTimeout:
 diff --git electrum/paymentrequest.py electrum/paymentrequest.py
-index f94920a4..88ded436 100644
+index 881a3eea..6221c4f4 100644
 --- electrum/paymentrequest.py
 +++ electrum/paymentrequest.py
 @@ -28,7 +28,6 @@ import time
@@ -43,7 +43,7 @@ index f94920a4..88ded436 100644
  import urllib.parse
  import aiohttp
  
-@@ -49,7 +48,7 @@ from .network import Network
+@@ -53,7 +52,7 @@ _logger = get_logger(__name__)
  REQUEST_HEADERS = {'Accept': 'application/bitcoin-paymentrequest', 'User-Agent': 'Electrum'}
  ACK_HEADERS = {'Content-Type':'application/bitcoin-payment','Accept':'application/bitcoin-paymentack','User-Agent':'Electrum'}
  
@@ -53,7 +53,7 @@ index f94920a4..88ded436 100644
  ca_keyID = None
  
 diff --git electrum/util.py electrum/util.py
-index ac41d9e3..85f0a538 100644
+index 41d99c9f..0fa0ef2f 100644
 --- electrum/util.py
 +++ electrum/util.py
 @@ -44,7 +44,6 @@ import ssl
@@ -63,8 +63,8 @@ index ac41d9e3..85f0a538 100644
 -import certifi
  
  from .i18n import _
- 
-@@ -58,7 +57,7 @@ def inv_dict(d):
+ from .logging import get_logger, Logger
+@@ -62,7 +61,7 @@ def inv_dict(d):
      return {v: k for k, v in d.items()}
  
  
@@ -74,24 +74,23 @@ index ac41d9e3..85f0a538 100644
  
  base_units = {'BTC':8, 'mBTC':5, 'bits':2, 'sat':0}
 diff --git electrum/x509.py electrum/x509.py
-index 6e519cad..bf3aafb2 100644
+index c38edc77..1c406544 100644
 --- electrum/x509.py
 +++ electrum/x509.py
-@@ -337,8 +337,6 @@ def load_certificates(ca_path):
+@@ -343,7 +343,5 @@ def load_certificates(ca_path):
  
  
  if __name__ == "__main__":
 -    import certifi
 -
-     util.set_verbosity(True)
 -    ca_path = certifi.where()
 +    ca_path = '/etc/ssl/certs/ca-certificates.crt'
      ca_list, ca_keyID = load_certificates(ca_path)
 diff --git run_electrum run_electrum
-index 68040693..a4eb02cc 100755
+index 654cf15f..94cca1a0 100755
 --- run_electrum
 +++ run_electrum
-@@ -44,7 +44,6 @@ def check_imports():
+@@ -55,7 +55,6 @@ def check_imports():
          import dns
          import pyaes
          import ecdsa
@@ -99,7 +98,7 @@ index 68040693..a4eb02cc 100755
          import qrcode
          import google.protobuf
          import jsonrpclib
-@@ -58,7 +57,7 @@ def check_imports():
+@@ -69,7 +68,7 @@ def check_imports():
      from google.protobuf import descriptor_pb2
      from jsonrpclib import SimpleJSONRPCServer
      # make sure that certificates are here
diff --git a/srcpkgs/electrum/template b/srcpkgs/electrum/template
index 4b7c836251c..3861becdda9 100644
--- a/srcpkgs/electrum/template
+++ b/srcpkgs/electrum/template
@@ -1,7 +1,7 @@
 # Template file for 'electrum'
 pkgname=electrum
-version=3.3.2
-revision=2
+version=3.3.6
+revision=1
 archs=noarch
 build_style=python3-module
 pycompile_module="electrum electrum_gui electrum_plugins"
@@ -19,7 +19,7 @@ license="MIT"
 homepage="https://electrum.org/"
 # patch doesn't apply for PyPI tarball
 distfiles="https://github.com/spesmilo/electrum/archive/${version}.tar.gz"
-checksum=303688ed42d5eeda75e6fd37fb81291628d6b0aa23046b44f8eb1485cb79dec5
+checksum=47b4a9f56bc8d092902a7428b74f552607e90183441dc5c8d0346aff14fd1dcd
 
 post_install() {
 	sed -i -e 's|electrum %u|electrum|' \
